import java.applet.*;
import javax.swing.*;
import java.awt.*;

public class Risba extends Applet
{
   public void paint(Graphics g)
   {
      int sirina = getWidth();
      int visina = getHeight();

      setBackground(new Color(0, 255, 255));
      hisica(g, sirina/4, visina, sirina/2, (3*visina)/4);
      rozica(g, sirina/8, visina, visina/5);
      rozica(g, (3*sirina)/8, visina, visina/7);
      rozica(g, (5*sirina)/8, visina, visina/4);
      rozica(g, (7*sirina)/8, visina, visina/6);
   }
   public static void rozica(Graphics g, int x, int y, int velikost)
   {
      // pecelj
      g.setColor(new Color(0, 255, 0));
      g.fillRect(x - velikost/30 , y - velikost, velikost/15, velikost);

      // cvet
      g.setColor(new Color(255, 0, 255));
      g.fillOval(x - velikost/8, y - velikost - velikost/4, velikost/4, velikost/4);
    }


   public static void hisica(Graphics g, int x, int y, int sirina, int visina) {
         // hisa
         g.setColor(new Color(255, 255, 255));
         g.fillRect(x, y - visina, sirina, visina);

         // okna
         g.setColor(Color.black);
         g.fillRect(x + sirina/8, y - (3*visina)/4, sirina/4, visina/4);
         g.fillRect(x + (5*sirina/8), y - (3*visina)/4, sirina/4, visina/4);

         // streha
         g.setColor(Color.red);
         int[] a = {x - sirina/8, x + sirina + sirina/8, x + sirina/2};
         int[] b = {y - visina, y - visina, y - visina - visina/3};
         g.fillPolygon(a, b, 3);
    }
}
