import javax.swing.*;

public class SodiIndeksiPredLihe {
    public static void main(String[] arg)
    {  // generiraj nakljucno tabelo
       // prelozi v novo,. tako da so elementi s sodimi indeksi pred lihimi
       int veltab = Integer.parseInt(arg[0]); // parameter programa je velikost tabele
       int[] tabOrig;
       int[] tabNova;
       int sM = 1; // spodnja meja stevil v tabeli
       int zM = 100; // zgornja meja stevil v tabeli

       tabOrig = generiraj(veltab, sM, zM);
       tabNova = prelozi(tabOrig);
       System.out.println("Prvotna tabela");
       izpisi(tabOrig);
       System.out.println("Prelozena tabela");
       izpisi(tabNova);
    }

    public static int[] generiraj(int velikostTab, int sm, int zm)
    {
        int[] rezult = new int[velikostTab]; // ustvarimo novo tabelo
        int kje = 0;
        while (kje < velikostTab) {
            // nak. stevilo [sm, zm]
            int x = (int)(Math.random() * (zm - sm + 1)) + sm;
            rezult[kje] = x;
            kje = kje + 1;
        }
        return rezult;
    }

    public static int[] prelozi(int[] tabela)
    {   // prelozi v novo tabelo tako, da so elementi s sodimi indeksi pred lihimi
        int velikostTab = tabela.length; // kako velika je tabela
        int[] rezult = new int[velikostTab]; // ustvarimo novo tabelo
        int kjeNova = 0; // kje v novi
        int kjeStara = 0; // kje v stari - sodi se zacno pri 0
        // sodi gredo v prvo polovico
        while (kjeStara < velikostTab) {
            rezult[kjeNova] = tabela[kjeStara];
            kjeNova = kjeNova + 1;
            kjeStara = kjeStara + 2;
        }
        kjeStara = 1; // kje v stari - zacnemo z 1
        while (kjeStara < velikostTab) {
            // sodi gredo v prvo polovico
            rezult[kjeNova] = tabela[kjeStara];
            kjeNova = kjeNova + 1;
            kjeStara = kjeStara + 2;
        }
        return rezult;
    }

    public static void izpisi(int[] tabela)
    { // izpisi tabelo po 10 v vrsto
        int poKoliko = 10;
        int velikostTab = tabela.length; // kako velika je tabela
        int kje = 0;
        while (kje < velikostTab) {
            System.out.print(tabela[kje] + "\t");
            if ((kje + 1) % poKoliko == 0)
            { // Na vsakega desetega/oz. poKoliko/ (stejemo od 0)
              // gremo v novo vrsto
              System.out.println();
            }
            kje = kje + 1;
        }
        System.out.println();

    }
}